Package org.stianloader.micromixin.transform.api

## Class SimpleRemapper

- java.lang.Object
- - org.stianloader.micromixin.transform.api.SimpleRemapper

-     public final class SimpleRemapper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleRemapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getRemappedClassName​(java.lang.String name)` | Remaps a class name.
    `java.lang.String` | `getRemappedClassNameFast​(java.lang.String name)` |
    `java.lang.String` | `getRemappedFieldDescriptor​(java.lang.String fieldDesc, java.lang.StringBuilder sharedBuilder)` | Remaps a field descriptor.
    `java.lang.String` | `getRemappedFieldName​(java.lang.String ownerName, java.lang.String fieldName, java.lang.String fieldDesc)` |
    `java.lang.String` | `getRemappedMethodDescriptor​(java.lang.String methodDesc, java.lang.StringBuilder sharedBuilder)` | Remaps a method descriptor.
    `java.lang.String` | `getRemappedMethodName​(java.lang.String ownerName, java.lang.String methodName, java.lang.String methodDesc)` |
    `java.lang.String` | `getRemappedMethodNameFast​(java.lang.String ownerName, java.lang.String methodName, java.lang.String methodDesc)` |
    `void` | `remapBSMArg​(java.lang.Object[] bsmArgs, int index, java.lang.StringBuilder sharedStringBuilder)` |
    `void` | `remapClassName​(java.lang.String oldName, java.lang.String newName)` |
    `void` | `remapClassNames​(java.util.Map<java.lang.String,​java.lang.String> mappings)` |
    `void` | `remapField​(java.lang.String owner, java.lang.String desc, java.lang.String oldName, java.lang.String newName)` |
    `java.lang.String` | `remapInternalName​(java.lang.String internalName, java.lang.StringBuilder sharedStringBuilder)` |
    `void` | `remapMethod​(java.lang.String owner, java.lang.String desc, java.lang.String oldName, java.lang.String newName)` |
    `boolean` | `remapSignature​(java.lang.String signature, java.lang.StringBuilder out)` |
    `java.lang.String` | `remapSingleDesc​(java.lang.String input, java.lang.StringBuilder sharedBuilder)` |
    `void` | `removeMethodRemap​(java.lang.String owner, java.lang.String desc, java.lang.String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleRemapper

          public SimpleRemapper()

  - ### Method Detail

    - #### getRemappedClassName

          @NotNull
          public java.lang.String getRemappedClassName​(@NotNull
                                                       java.lang.String name)

      Remaps a class name.
      Parameters:
        `name` - The old (unmapped) class name
      Returns:
        The new (remapped) class name

    - #### getRemappedClassNameFast

          @Nullable
          public java.lang.String getRemappedClassNameFast​(@NotNull
                                                           java.lang.String name)

    - #### getRemappedFieldDescriptor

          @NotNull
          public java.lang.String getRemappedFieldDescriptor​(@NotNull
                                                             java.lang.String fieldDesc,
                                                             @NotNull
                                                             java.lang.StringBuilder sharedBuilder)

      Remaps a field descriptor.
      Parameters:
        `fieldDesc` - The old (unmapped) field descriptor
        `sharedBuilder` - A shared cached string builder. The contents of the string builder are wiped and after the invocation the contents are undefined
      Returns:
        The new (remapped) field descriptor. It can be identity identical to the "fieldDesc" if it didn't need to be altered

    - #### getRemappedFieldName

          @NotNull
          public java.lang.String getRemappedFieldName​(@NotNull
                                                       java.lang.String ownerName,
                                                       @NotNull
                                                       java.lang.String fieldName,
                                                       @NotNull
                                                       java.lang.String fieldDesc)

    - #### getRemappedMethodDescriptor

          @NotNull
          public java.lang.String getRemappedMethodDescriptor​(@NotNull
                                                              java.lang.String methodDesc,
                                                              @NotNull
                                                              java.lang.StringBuilder sharedBuilder)

      Remaps a method descriptor.
      Parameters:
        `methodDesc` - The old (unmapped) method descriptor
        `sharedBuilder` - A shared cached string builder. The contents of the string builder are wiped and after the invocation the contents are undefined
      Returns:
        The new (remapped) method descriptor. It can be identity identical to the "methodDesc" if it didn't need to be altered

    - #### getRemappedMethodName

          @NotNull
          public java.lang.String getRemappedMethodName​(@NotNull
                                                        java.lang.String ownerName,
                                                        @NotNull
                                                        java.lang.String methodName,
                                                        @NotNull
                                                        java.lang.String methodDesc)

    - #### getRemappedMethodNameFast

          @Nullable
          public java.lang.String getRemappedMethodNameFast​(@NotNull
                                                            java.lang.String ownerName,
                                                            @NotNull
                                                            java.lang.String methodName,
                                                            @NotNull
                                                            java.lang.String methodDesc)

    - #### remapBSMArg

          public void remapBSMArg​(java.lang.Object[] bsmArgs,
                                  int index,
                                  java.lang.StringBuilder sharedStringBuilder)

    - #### remapClassName

          public void remapClassName​(@NotNull
                                     java.lang.String oldName,
                                     @NotNull
                                     java.lang.String newName)

    - #### remapClassNames

          public void remapClassNames​(java.util.Map<java.lang.String,​java.lang.String> mappings)

    - #### remapField

          public void remapField​(@NotNull
                                 java.lang.String owner,
                                 @NotNull
                                 java.lang.String desc,
                                 @NotNull
                                 java.lang.String oldName,
                                 @NotNull
                                 java.lang.String newName)

    - #### remapInternalName

          @NotNull
          public java.lang.String remapInternalName​(@NotNull
                                                    java.lang.String internalName,
                                                    @NotNull
                                                    java.lang.StringBuilder sharedStringBuilder)

    - #### remapMethod

          public void remapMethod​(@NotNull
                                  java.lang.String owner,
                                  @NotNull
                                  java.lang.String desc,
                                  @NotNull
                                  java.lang.String oldName,
                                  @NotNull
                                  java.lang.String newName)

    - #### remapSignature

          public boolean remapSignature​(java.lang.String signature,
                                        java.lang.StringBuilder out)

    - #### remapSingleDesc

          @NotNull
          public java.lang.String remapSingleDesc​(@NotNull
                                                  java.lang.String input,
                                                  @NotNull
                                                  java.lang.StringBuilder sharedBuilder)

    - #### removeMethodRemap

          public void removeMethodRemap​(@NotNull
                                        java.lang.String owner,
                                        @NotNull
                                        java.lang.String desc,
                                        @NotNull
                                        java.lang.String name)